## browserpass 2.0.22

=== Makefile ===
SHELL := /usr/bin/env bash
CHROME := $(shell which google-chrome 2>/dev/null || which google-chrome-stable 2>/dev/null || which chromium 2>/dev/null || which chromium-browser 2>/dev/null || which chrome 2>/dev/null)
PEM := $(shell find . -maxdepth 1 -name "*.pem")
JS_OUTPUT := chrome/background.js chrome/script.js chrome/options.js chrome/inject.js chrome/inject_otp.js
BROWSERIFY := node_modules/.bin/browserify
PRETTIER := node_modules/.bin/prettier
PRETTIER_SOURCES := $(shell find chrome -maxdepth 1 -name "*.js" -o -name "*.css")

all: deps prettier js browserpass test

.PHONY: crx
crx:
ifneq ($(PEM),)
	"$(CHROME)" --disable-gpu --pack-extension=./chrome --pack-extension-key=$(PEM)
else
	"$(CHROME)" --disable-gpu --pack-extension=./chrome
	rm ./chrome.pem
endif
	mv chrome.crx chrome-browserpass.crx

.PHONY: prettier
prettier:
	$(PRETTIER) --write $(PRETTIER_SOURCES)

.PHONY: js
js: $(JS_OUTPUT)
	cp chrome/host.json chrome-host.json
	cp firefox/host.json firefox-host.json
	cp chrome/policy.json chrome-policy.json
	cp chrome/{*.html,*.css,*.js,*.png,*.svg} firefox/

chrome/background.js: chrome/background.browserify.js
	$(BROWSERIFY) chrome/background.browserify.js -o chrome/background.js

chrome/script.js: chrome/script.browserify.js
	$(BROWSERIFY) chrome/script.browserify.js -o chrome/script.js

chrome/options.js: chrome/options.browserify.js
	$(BROWSERIFY) chrome/options.browserify.js -o chrome/options.js

browserpass: cmd/browserpass/ pass/ browserpass.go
	go build -o $@ ./cmd/browserpass

browserpass-linux64: cmd/browserpass/ pass/ browserpass.go
	env GOOS=linux GOARCH=amd64 go build -o $@ ./cmd/browserpass

browserpass-windows64: cmd/browserpass/ pass/ browserpass.go
	env GOOS=windows GOARCH=amd64 go build -o $@.exe ./cmd/browserpass

browserpass-darwinx64: cmd/browserpass/ pass/ browserpass.go
	env GOOS=darwin GOARCH=amd64 go build -o $@ ./cmd/browserpass

browserpass-openbsd64: cmd/browserpass/ pass/ browserpass.go
	env GOOS=openbsd GOARCH=amd64 go build -o $@ ./cmd/browserpass

browserpass-freebsd64: cmd/browserpass/ pass/ browserpass.go
	env GOOS=freebsd GOARCH=amd64 go build -o $@ ./cmd/browserpass

.PHONY: test
test:
	go test
	go test ./pass

clean:
	rm -f browserpass
	rm -f browserpass-*
	rm -rf release
	rm -rf private-release
	git clean -fdx chrome/
	git clean -fdx firefox/
	rm -f *.crx
	rm -f *-host.json
	rm -f chrome-policy.json

sign: release
	for file in release/*; do \
		gpg --detach-sign "$$file"; \
	done

deps:
	yarn
	dep ensure

tarball: clean deps js
	rm -rf /tmp/browserpass /tmp/browserpass-src.tar.gz
	cp -r ../browserpass /tmp/browserpass
	rm -rf /tmp/browserpass/.git
	find /tmp/browserpass -name "*.pem" -type f -delete
	(cd /tmp && tar -czf /tmp/browserpass-src.tar.gz browserpass)
	mkdir -p release
	cp /tmp/browserpass-src.tar.gz release/

.PHONY: release js crx
release: clean deps js tarball crx browserpass-linux64 browserpass-darwinx64 browserpass-openbsd64 browserpass-freebsd64 browserpass-windows64
	mkdir -p private-release
	cp -r chrome private-release
	sed -i '/"key"/d' private-release/chrome/manifest.json
	zip -jFS private-release/chrome private-release/chrome/* key.pem
	rm -rf private-release/chrome
	mkdir -p release
	cp chrome-browserpass.crx release/
	zip -jFS release/chrome chrome/* chrome-browserpass.crx
	zip -jFS release/firefox firefox/*
	zip -FS release/browserpass-linux64   browserpass-linux64       *-host.json chrome-policy.json chrome-browserpass.crx install.sh README.md LICENSE
	zip -FS release/browserpass-darwinx64 browserpass-darwinx64     *-host.json chrome-policy.json chrome-browserpass.crx install.sh README.md LICENSE
	zip -FS release/browserpass-openbsd64 browserpass-openbsd64     *-host.json chrome-policy.json chrome-browserpass.crx install.sh README.md LICENSE
	zip -FS release/browserpass-freebsd64 browserpass-freebsd64     *-host.json chrome-policy.json chrome-browserpass.crx install.sh README.md LICENSE
	zip -FS release/browserpass-windows64 browserpass-windows64.exe *-host.json chrome-policy.json chrome-browserpass.crx *.ps1      README.md LICENSE

## browserpass 2.0.11+dfsg

=== debian/changelog ===
browserpass (2.0.11+dfsg-2) unstable; urgency=medium

  * Fixed typo in Depends line

 -- Michael Meskes <meskes@debian.org>  Mon, 19 Feb 2018 10:25:56 +0100

browserpass (2.0.11+dfsg-1) unstable; urgency=medium

  * Repack to get rid of unused nodejs modules some of which were partly
    minified.
  * Added firefox-esr as alternative (Closes: #890729)
  * Added file to load all extension into chromium
  * Fix path of example installation
  * Added all contributors to copyright file (Closes: #890717)
  * Fixed watch file for re-packaged version number.
  * Removed empty /usr/bin directory.
  * Document which files were excluded from the released tarball.
  * Re-added lost shared library dependencies

 -- Michael Meskes <meskes@debian.org>  Sun, 18 Feb 2018 10:56:29 +0100

browserpass (2.0.11-1) unstable; urgency=medium

  * Initial release (Closes: #890331)

 -- Michael Meskes <meskes@debian.org>  Thu, 15 Feb 2018 09:45:09 +0100

=== debian/control ===
Source: browserpass
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-go,
	       golang-github-gokyle-twofactor-dev,
	       golang-github-mattn-go-zglob-dev,
	       node-browserify-lite,
	       node-mithril
Standards-Version: 4.1.3
Homepage: https://github.com/dannyvankooten/browserpass
Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
XS-Go-Import-Path: github.com/dannyvankooten/browserpass

Package: webext-browserpass
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: firefox (>= 50) | firefox-esr (>= 50) | chromium
Description: web extension for the password manager pass
 webext-browserpass is a Firefox/Chromium extension for the password manager
 pass. It retrieves your decrypted passwords for the current domain and allows
 you to auto-fill login forms, as well as copy it to clipboard. If you have
 multiple logins for the current site, the extension shows you a list of
 usernames to choose from.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with=golang --buildsystem=golang

override_dh_auto_build:
	dh_auto_build
	# browserify-lite needs the dependencies locally
	mkdir node_modules
	ln -s /usr/lib/nodejs/mithril/ node_modules
	browserify-lite $$(pwd)/chrome/script.browserify.js --outfile $$(pwd)/chrome/script.js

	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' chrome/host.json > chrome-host.json
	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' firefox/host.json > firefox-host.json

	# The extension ID seems to be different in our build
	sed -i -e 's#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",\n    "chrome-extension://cbfnbkdnigbahbkcikfppmaonggdbcpa/",#' chrome-host.json

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install -X LIXENSE.txt
	
	# clean up the installation
	mv debian/webext-browserpass/usr/bin/browserpass debian/webext-browserpass/usr/lib/browserpass
	rmdir debian/webext-browserpass/usr/bin
	mv debian/webext-browserpass/etc/chromium/native-messaging-hosts/chrome-host.json debian/webext-browserpass/etc/chromium/native-messaging-hosts/com.dannyvankooten.browserpass.json
	mv debian/webext-browserpass/usr/lib/mozilla/native-messaging-hosts/firefox-host.json debian/webext-browserpass/usr/lib/mozilla/native-messaging-hosts/com.dannyvankooten.browserpass.json

override_dh_clean:
	dh_clean
	-rm -fr chrome/script.js chrome-host.json firefox-host.json node_modules

override_dh_auto_test:

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%browserpass-$1.tar.gz%, \
      dversionmangle=s/\+dfsg$//" \
   https://github.com/dannyvankooten/browserpass/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## browserpass 2.0.22

=== debian/changelog ===
browserpass (2.0.22-2) unstable; urgency=medium

  * Document provided background.js file and remove superfluous manifest.json.
    (Closes: #921484)
  * With chromium now including all extensions there is no need anymore for us
    to provide a solution.
  * tldjs is in the archive now, no need to ship it with brwoserpass anymore.
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 06 Feb 2019 10:29:50 +0100

browserpass (2.0.22-1) unstable; urgency=medium

  * Set Built-Using field.
    Thanks to Michael Stapelberg <stapelberg@debian.org> (Closes: #892118)
  * New upstream version 2.0.22 (Closes: #903050)
  * Added tldjs sources while the package is still in NEW.

 -- Michael Meskes <meskes@debian.org>  Fri, 30 Mar 2018 20:14:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,14 @@
                golang-go,
 	       golang-github-gokyle-twofactor-dev,
 	       golang-github-mattn-go-zglob-dev,
+	       golang-github-sahilm-fuzzy-dev,
 	       node-browserify-lite,
-	       node-mithril
-Standards-Version: 4.1.3
+	       node-fuzzysort,
+	       node-mithril,
+	       node-punycode,
+	       node-tldjs,
+	       node-url
+Standards-Version: 4.3.0
 Homepage: https://github.com/dannyvankooten/browserpass
 Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
 Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
@@ -20,6 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: firefox (>= 50) | firefox-esr (>= 50) | chromium
+Built-Using: ${misc:Built-Using}
 Description: web extension for the password manager pass
  webext-browserpass is a Firefox/Chromium extension for the password manager
  pass. It retrieves your decrypted passwords for the current domain and allows

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,12 @@
 override_dh_auto_build:
 	dh_auto_build
 	# browserify-lite needs the dependencies locally
-	mkdir node_modules
-	ln -s /usr/lib/nodejs/mithril/ node_modules
+	-mkdir node_modules
+	ln -s /usr/lib/nodejs/fuzzysort/ /usr/lib/nodejs/mithril/ /usr/lib/nodejs/url /usr/lib/nodejs/punycode /usr/lib/nodejs/tldjs node_modules
 	browserify-lite $$(pwd)/chrome/script.browserify.js --outfile $$(pwd)/chrome/script.js
+	browserify-lite $$(pwd)/chrome/options.browserify.js --outfile $$(pwd)/chrome/options.js
+	# browserify-lite creates a non-working file, use upstream's version for the time being
+	#browserify-lite $$(pwd)/chrome/background.browserify.js --outfile $$(pwd)/chrome/background.js
 
 	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' chrome/host.json > chrome-host.json
 	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass#' firefox/host.json > firefox-host.json
@@ -31,7 +34,6 @@
 
 override_dh_clean:
 	dh_clean
-	-rm -fr chrome/script.js chrome-host.json firefox-host.json node_modules
+	-rm -fr chrome/background.js chrome/options.js chrome/script.js chrome-host.json firefox-host.json node_modules
 
 override_dh_auto_test:
-

## browserpass 3.1.1

=== browserpass-extension/src/Makefile ===
BROWSERIFY := node_modules/.bin/browserify
PRETTIER := node_modules/.bin/prettier
LESSC := node_modules/.bin/lessc

CLEAN_FILES := css js
PRETTIER_FILES := $(wildcard *.json *.js popup/*.js options/*.js *.less popup/*.less options/*.less *.html popup/*.html options/*.html)

.PHONY: all
all: deps prettier css/popup.dist.css css/options.dist.css js/background.dist.js js/popup.dist.js js/options.dist.js js/inject.dist.js

.PHONY: deps
deps:
	yarn install

.PHONY: prettier
prettier: $(PRETTIER) $(PRETTIER_FILES)
	$(PRETTIER) --write $(PRETTIER_FILES)

css/popup.dist.css: $(LESSC) popup/popup.less
	[ -d css ] || mkdir -p css
	$(LESSC) popup/popup.less css/popup.dist.css

css/options.dist.css: $(LESSC) options/options.less
	[ -d css ] || mkdir -p css
	$(LESSC) options/options.less css/options.dist.css

js/background.dist.js: $(BROWSERIFY) background.js helpers.js
	[ -d js ] || mkdir -p js
	$(BROWSERIFY) -o js/background.dist.js background.js

js/popup.dist.js: $(BROWSERIFY) popup/*.js helpers.js
	[ -d js ] || mkdir -p js
	$(BROWSERIFY) -o js/popup.dist.js popup/popup.js

js/options.dist.js: $(BROWSERIFY) options/*.js
	[ -d js ] || mkdir -p js
	$(BROWSERIFY) -o js/options.dist.js options/options.js

js/inject.dist.js: $(BROWSERIFY) inject.js
	[ -d js ] || mkdir -p js
	$(BROWSERIFY) -o js/inject.dist.js inject.js

	# Firefox requires the last command to evaluate to something serializable
	# https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/executeScript#Return_value
	echo ";undefined" >> js/inject.dist.js

.PHONY: clean
clean:
	rm -rf $(CLEAN_FILES)

=== debian/changelog ===
browserpass (3.1.1-3) unstable; urgency=medium

  * Added missing dependency to fonts-open-sans. (Closes: #929545)
  * Bumped Standards-Version, no changes needed.
  * Bumped debhelper version, no changes needed.
  * Removed empty fonts directory.

 -- Michael Meskes <meskes@debian.org>  Sat, 24 Aug 2019 19:20:18 +0200

browserpass (3.1.1-2) unstable; urgency=medium

  * Added missing dependency. (Closes: #928598)
  * Install Makefile to make sure the native host app can easily be used by
    other browsers.

 -- Michael Meskes <meskes@debian.org>  Tue, 07 May 2019 12:06:44 +0200

browserpass (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file for new split archives.
  * Updated go import path to new split archive.
  * Adjust packaging to the new archive layout.
  * browserify-lite creates non functioning javascript, so we go with the
    browserified files provided by upstream.

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Apr 2019 13:33:59 +0200

=== debian/control ===
Source: browserpass
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 12),
               dh-golang,
               golang-go,
	       golang-github-gokyle-twofactor-dev,
	       golang-github-mattn-go-zglob-dev,
	       golang-github-sahilm-fuzzy-dev,
	       golang-github-sirupsen-logrus-dev,
	       node-less
Standards-Version: 4.4.0
Homepage: https://github.com/browserpass
Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
Vcs-Browser: https://salsa.debian.org/webext-team/browserpass
XS-Go-Import-Path: github.com/browserpass

Package: webext-browserpass
Architecture: any
Depends: fonts-open-sans, ${misc:Depends}, ${shlibs:Depends}
Recommends: firefox (>= 50) | firefox-esr (>= 50) | chromium
Built-Using: ${misc:Built-Using}
Description: web extension for the password manager pass
 webext-browserpass is a Firefox/Chromium extension for the password manager
 pass. It retrieves your decrypted passwords for the current domain and allows
 you to auto-fill login forms, as well as copy it to clipboard. If you have
 multiple logins for the current site, the extension shows you a list of
 usernames to choose from.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Pass hardening flags to linker
GO_LDFLAGS += -extldflags=-Wl,-z,now,-z,relro

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -buildmode=pie -ldflags "$(GO_LDFLAGS)"
	(cd browserpass-extension; make firefox chromium)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install --sourcedir=browserpass-extension

	mv debian/webext-browserpass/usr/bin/browserpass-native debian/webext-browserpass/usr/lib/browserpass
	cp browserpass-native/Makefile debian/webext-browserpass/usr/lib/browserpass
	rmdir debian/webext-browserpass/usr/bin
	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass-native#' browserpass-native/browser-files/chromium-host.json -e 's#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",#"chrome-extension://naepdomgkenhinolocfifgehidddafch/",\n    "chrome-extension://cbfnbkdnigbahbkcikfppmaonggdbcpa/",#' > debian/webext-browserpass/etc/chromium/native-messaging-hosts/com.github.browserpass.native.json
	sed -e 's#%%replace%%#/usr/lib/browserpass/browserpass-native#' browserpass-native/browser-files/firefox-host.json > debian/webext-browserpass/usr/lib/mozilla/native-messaging-hosts/com.github.browserpass.native.json
	cp -r debian/js debian/webext-browserpass/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/browserpass@maximbaz.com/

override_dh_auto_clean:
	dh_auto_clean
	(cd browserpass-extension; make clean)

## browserpass 3.4.1

=== browserpass-extension/Makefile ===
VERSION ?= $(shell cat .version)

CLEAN_FILES := chromium firefox dist dist-webstore
CHROME := $(shell which chromium 2>/dev/null || which chromium-browser 2>/dev/null || which chrome 2>/dev/null || which google-chrome 2>/dev/null || which google-chrome-stable 2>/dev/null)

#######################
# For local development

.PHONY: all
all: extension chromium firefox

.PHONY: extension
extension:
	$(MAKE) -C src

EXTENSION_FILES := \
	src/*.png \
	src/*.svg \
	src/fonts/* \
	src/popup/*.html \
	src/popup/*.svg \
	src/options/*.html
EXTENSION_FILES := \
    $(wildcard $(EXTENSION_FILES)) \
	src/css/popup.dist.css \
	src/css/options.dist.css \
	src/js/background.dist.js \
	src/js/popup.dist.js \
	src/js/options.dist.js \
	src/js/inject.dist.js
CHROMIUM_FILES := $(patsubst src/%,chromium/%, $(EXTENSION_FILES))
FIREFOX_FILES  := $(patsubst src/%,firefox/%,  $(EXTENSION_FILES))

.PHONY: chromium
chromium: extension $(CHROMIUM_FILES) chromium/manifest.json

$(CHROMIUM_FILES) : chromium/% : src/%
	[ -d $(dir $@) ] || mkdir -p $(dir $@)
	cp $< $@

chromium/manifest.json : src/manifest-chromium.json
	[ -d $(dir $@) ] || mkdir -p $(dir $@)
	cp $< $@

.PHONY: firefox
firefox: extension $(FIREFOX_FILES) firefox/manifest.json

$(FIREFOX_FILES) : firefox/% : src/%
	[ -d $(dir $@) ] || mkdir -p $(dir $@)
	cp $< $@

firefox/manifest.json : src/manifest-firefox.json
	[ -d $(dir $@) ] || mkdir -p $(dir $@)
	cp $< $@

#######################
# For official releases

.PHONY: clean
clean:
	rm -rf $(CLEAN_FILES)
	$(MAKE) -C src clean

.PHONY: crx-webstore
crx-webstore:
	"$(CHROME)" --disable-gpu --pack-extension=./chromium --pack-extension-key=webstore.pem
	mv chromium.crx browserpass-webstore.crx

.PHONY: crx-github
crx-github:
	"$(CHROME)" --disable-gpu --pack-extension=./chromium --pack-extension-key=github.pem
	mv chromium.crx browserpass-github.crx

.PHONY: dist
dist: clean extension chromium firefox crx-webstore crx-github
	mkdir -p dist

	git archive -o dist/browserpass-extension-$(VERSION).tar.gz --format tar.gz --prefix=browserpass-extension-$(VERSION)/ $(VERSION)

	(cd chromium && zip -r ../dist/browserpass-chromium-$(VERSION).zip *)
	(cd firefox  && zip -r ../dist/browserpass-firefox-$(VERSION).zip  *)

	mv browserpass-webstore.crx dist/browserpass-webstore-$(VERSION).crx
	mv browserpass-github.crx dist/browserpass-github-$(VERSION).crx

	for file in dist/*; do \
	    gpg --detach-sign --armor "$$file"; \
	done

	mkdir -p dist-webstore

	cp dist/browserpass-firefox-$(VERSION).zip dist-webstore/firefox-$(VERSION).zip
	mv dist/browserpass-extension-$(VERSION).tar.gz dist-webstore/firefox-$(VERSION)-src.tar.gz

	cp -a chromium dist-webstore/
	sed -i '/"key"/d' dist-webstore/chromium/manifest.json
	(cd dist-webstore/chromium && zip -r ../chrome-$(VERSION).zip *)
	rm -rf dist-webstore/chromium

=== browserpass-extension/src/Makefile ===
--- 
+++ 
@@ -16,11 +16,11 @@
 prettier: $(PRETTIER) $(PRETTIER_FILES)
 	$(PRETTIER) --write $(PRETTIER_FILES)
 
-css/popup.dist.css: $(LESSC) popup/popup.less
+css/popup.dist.css: $(LESSC) popup/*.less
 	[ -d css ] || mkdir -p css
 	$(LESSC) popup/popup.less css/popup.dist.css
 
-css/options.dist.css: $(LESSC) options/options.less
+css/options.dist.css: $(LESSC) options/*.less
 	[ -d css ] || mkdir -p css
 	$(LESSC) options/options.less css/options.dist.css

=== debian/changelog ===
browserpass (3.4.1-4) unstable; urgency=medium

  * Use /usr/bin as patch to lessc. (Closes: #962034)
  * Install extension README. (Closes: #959925)
  * Bumped standards and debhelper versions

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Jun 2020 13:06:42 +0200

browserpass (3.4.1-3) unstable; urgency=medium

  * Applied upstream patch to Resolve "null is not a valid URL" errors caused
    by a URL parsing bug in Firefox.
    (Closes: #946127)
  * Remove old file
    /etc/chromium/native-messaging-hosts/com.dannyvankooten.browserpass.json
    (Closes: #946051)
  * Use debhelper-compat = 12.
  * Explain how to enable browserpass in google chrome.
    Thanks to Anton A <antoon.a@gmail.com>

 -- Michael Meskes <meskes@debian.org>  Sun, 08 Dec 2019 18:55:21 +0100

browserpass (3.4.1-2) unstable; urgency=medium

  * Removed buildmode=pie which seems to be unavailable on mipsel.
    (Closes: #944657)

 -- Michael Meskes <meskes@debian.org>  Thu, 28 Nov 2019 10:29:10 +0100

browserpass (3.4.1-1) unstable; urgency=medium

  * Import Upstream version 3.4.1
  * Bumped Standards-Version, no changes needed.
  * Fixed path in copyright file.

 -- Michael Meskes <meskes@debian.org>  Mon, 21 Oct 2019 20:39:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
 	       golang-github-gokyle-twofactor-dev,
@@ -11,7 +11,7 @@
 	       golang-github-sahilm-fuzzy-dev,
 	       golang-github-sirupsen-logrus-dev,
 	       node-less
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/browserpass
 Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
 Vcs-Browser: https://salsa.debian.org/webext-team/browserpass

## browserpass 3.7.2

=== browserpass-native/Makefile ===
BIN = browserpass
VERSION = $(shell cat .version)

PREFIX ?= /usr
BIN_DIR = $(DESTDIR)$(PREFIX)/bin
LIB_DIR = $(DESTDIR)$(PREFIX)/lib
SHARE_DIR = $(DESTDIR)$(PREFIX)/share
XDG_CONFIG_HOME ?= $(HOME)/.config

BIN_PATH = $(BIN_DIR)/$(BIN)
BIN_PATH_WINDOWS = C:\\\\\\\\\\\\\\\\Program Files\\\\\\\\\\\\\\\\Browserpass\\\\\\\\\\\\\\\\browserpass-windows64.exe

export CGO_CPPFLAGS := ${CPPFLAGS}
export CGO_CFLAGS := ${CFLAGS}
export CGO_CXXFLAGS := ${CXXFLAGS}
export CGO_LDFLAGS := ${LDFLAGS}
GOFLAGS := -buildmode=pie -trimpath

APP_ID = com.github.browserpass.native
OS = $(shell uname -s)

# GNU tools
SED = $(shell which gsed 2>/dev/null || which sed 2>/dev/null)
INSTALL = $(shell which ginstall 2>/dev/null || which install 2>/dev/null)

#######################
# For local development

.PHONY: all
all: browserpass test

browserpass: *.go **/*.go
	env GOFLAGS="$(GOFLAGS)" go build -o $@

browserpass-linux64: *.go **/*.go
	env GOOS=linux GOARCH=amd64 go build -o $@

browserpass-arm64: *.go **/*.go
	env GOOS=linux GOARCH=arm64 go build -o $@

browserpass-darwin64: *.go **/*.go
	env GOOS=darwin GOARCH=amd64 go build -o $@

browserpass-openbsd64: *.go **/*.go
	env GOOS=openbsd GOARCH=amd64 go build -o $@

browserpass-freebsd64: *.go **/*.go
	env GOOS=freebsd GOARCH=amd64 go build -o $@

browserpass-windows64: *.go **/*.go
	env GOOS=windows GOARCH=amd64 go build -o $@.exe

browserpass-windows: *.go **/*.go
	env GOOS=windows GOARCH=386 go build -o $@.exe

.PHONY: test
test:
	go test ./...

#######################
# For official releases

.PHONY: vendor
vendor:
	go mod tidy
	go mod vendor

.PHONY: clean
clean:
	rm -f browserpass browserpass-*
	rm -rf dist
	rm -rf vendor

.PHONY: dist
dist: clean vendor browserpass-linux64 browserpass-arm64 browserpass-darwin64 browserpass-openbsd64 browserpass-freebsd64 browserpass-windows64
	$(eval TMP := $(shell mktemp -d))

	# Full source code
	mkdir "$(TMP)/browserpass-native-$(VERSION)"
	cp -r * "$(TMP)/browserpass-native-$(VERSION)"
	(cd "$(TMP)" && tar -cvzf "browserpass-native-$(VERSION)-src.tar.gz" "browserpass-native-$(VERSION)")

	# Unix installers
	for os in linux64 arm64 darwin64 openbsd64 freebsd64; do \
	    mkdir $(TMP)/browserpass-"$$os"-$(VERSION); \
	    cp -a browserpass-"$$os"* browser-files Makefile README.md LICENSE $(TMP)/browserpass-"$$os"-$(VERSION); \
        (cd $(TMP) && tar -cvzf browserpass-"$$os"-$(VERSION).tar.gz browserpass-"$$os"-$(VERSION)); \
	done

	# Windows installer
	mkdir $(TMP)/browserpass-windows64-$(VERSION)
	cp -a browserpass-windows64.exe browser-files Makefile README.md LICENSE windows-setup.wxs $(TMP)/browserpass-windows64-$(VERSION)
	(cd $(TMP)/browserpass-windows64-$(VERSION); \
	make BIN_PATH="$(BIN_PATH_WINDOWS)" configure; \
	wixl --verbose --arch x64 windows-setup.wxs --output ../browserpass-windows64-$(VERSION).msi)

	mkdir -p dist
	mv "$(TMP)/"*.tar.gz "$(TMP)/"*.msi dist
	git archive -o dist/browserpass-native-$(VERSION).tar.gz --format tar.gz --prefix=browserpass-native-$(VERSION)/ $(VERSION)

	for file in dist/*; do \
	    gpg --detach-sign --armor "$$file"; \
	done

	rm -rf $(TMP)
	rm -f dist/browserpass-native-$(VERSION).tar.gz

#######################
# For user installation

.PHONY: configure
configure:
	$(SED) -i 's|"path": ".*"|"path": "'"$(BIN_PATH)"'"|' browser-files/chromium-host.json
	$(SED) -i 's|"path": ".*"|"path": "'"$(BIN_PATH)"'"|' browser-files/firefox-host.json

.PHONY: install
install:
	$(INSTALL) -Dm755 -t "$(BIN_DIR)/" $(BIN)
	$(INSTALL) -Dm644 -t "$(LIB_DIR)/browserpass/" Makefile
	$(INSTALL) -Dm644 -t "$(SHARE_DIR)/licenses/browserpass/" LICENSE
	$(INSTALL) -Dm644 -t "$(SHARE_DIR)/doc/browserpass/" README.md

	$(INSTALL) -Dm644 browser-files/chromium-host.json   "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json"
	$(INSTALL) -Dm644 browser-files/chromium-policy.json "$(LIB_DIR)/browserpass/policies/chromium/$(APP_ID).json"
	$(INSTALL) -Dm644 browser-files/firefox-host.json    "$(LIB_DIR)/browserpass/hosts/firefox/$(APP_ID).json"

# Browser-specific hosts targets

.PHONY: hosts-chromium
hosts-chromium:
	@case $(OS) in \
	Linux)      mkdir -p "/etc/chromium/native-messaging-hosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/etc/chromium/native-messaging-hosts/$(APP_ID).json"; \
	            [ -e "/etc/chromium/native-messaging-hosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "/Library/Application Support/Chromium/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/Library/Application Support/Chromium/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "/Library/Application Support/Chromium/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-chromium-user
hosts-chromium-user:
	@case $(OS) in \
	Linux|*BSD) mkdir -p "$(XDG_CONFIG_HOME)/chromium/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "$(XDG_CONFIG_HOME)/chromium/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "$(XDG_CONFIG_HOME)/chromium/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "${HOME}/Library/Application Support/Chromium/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "${HOME}/Library/Application Support/Chromium/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "${HOME}/Library/Application Support/Chromium/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-chrome
hosts-chrome:
	@case $(OS) in \
	Linux)      mkdir -p "/etc/opt/chrome/native-messaging-hosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/etc/opt/chrome/native-messaging-hosts/$(APP_ID).json"; \
	            [ -e "/etc/opt/chrome/native-messaging-hosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "/Library/Google/Chrome/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/Library/Google/Chrome/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "/Library/Google/Chrome/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-chrome-user
hosts-chrome-user:
	@case $(OS) in \
	Linux|*BSD) mkdir -p "$(XDG_CONFIG_HOME)/google-chrome/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "$(XDG_CONFIG_HOME)/google-chrome/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "$(XDG_CONFIG_HOME)/google-chrome/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "${HOME}/Library/Application Support/Google/Chrome/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "${HOME}/Library/Application Support/Google/Chrome/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "${HOME}/Library/Application Support/Google/Chrome/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-vivaldi
hosts-vivaldi:
	@case $(OS) in \
	Linux)      mkdir -p "/etc/opt/vivaldi/native-messaging-hosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/etc/opt/vivaldi/native-messaging-hosts/$(APP_ID).json"; \
	            [ -e "/etc/opt/vivaldi/native-messaging-hosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "/Library/Application Support/Vivaldi/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/Library/Application Support/Vivaldi/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "/Library/Application Support/Vivaldi/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-vivaldi-user
hosts-vivaldi-user:
	@case $(OS) in \
	Linux|*BSD) mkdir -p "$(XDG_CONFIG_HOME)/vivaldi/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "$(XDG_CONFIG_HOME)/vivaldi/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "$(XDG_CONFIG_HOME)/vivaldi/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "${HOME}/Library/Application Support/Vivaldi/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "${HOME}/Library/Application Support/Vivaldi/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "${HOME}/Library/Application Support/Vivaldi/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-brave
hosts-brave:
	@case $(OS) in \
	Linux)      mkdir -p "/etc/opt/chrome/native-messaging-hosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/etc/opt/chrome/native-messaging-hosts/$(APP_ID).json"; \
	            [ -e "/etc/opt/chrome/native-messaging-hosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "/Library/Application Support/Chromium/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "/Library/Application Support/Chromium/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "/Library/Application Support/Chromium/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-brave-user
hosts-brave-user:
	@case $(OS) in \
	Linux|*BSD) mkdir -p "$(XDG_CONFIG_HOME)/BraveSoftware/Brave-Browser/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "$(XDG_CONFIG_HOME)/BraveSoftware/Brave-Browser/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "$(XDG_CONFIG_HOME)/BraveSoftware/Brave-Browser/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	Darwin)     mkdir -p "${HOME}/Library/Application Support/Google/Chrome/NativeMessagingHosts/"; \
	            ln -sfv "$(LIB_DIR)/browserpass/hosts/chromium/$(APP_ID).json" "${HOME}/Library/Application Support/Google/Chrome/NativeMessagingHosts/$(APP_ID).json"; \
	            [ -e "${HOME}/Library/Application Support/Google/Chrome/NativeMessagingHosts/$(APP_ID).json" ] || echo "Error: the symlink points to a non-existent location" >&2; \
	            ;; \
	*)          echo "The operating system $(OS) is not supported"; exit 1 ;; \
	esac

.PHONY: hosts-iridium
hosts-iridium:
	@case $(OS) in \
	Linux)      mkdir -p "/etc/iridium-browser/native-messaging-hosts/"; \

=== debian/changelog ===
browserpass (3.7.2-1) unstable; urgency=medium

  * Imported new upstream version 3.0.7 for browserpass-native.
  * Imported new upstream version 3.7.2 for browserpass-extension.
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Feb 2021 11:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	       golang-github-sahilm-fuzzy-dev,
 	       golang-github-sirupsen-logrus-dev,
 	       node-less
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/browserpass
 Vcs-Git: https://salsa.debian.org/webext-team/browserpass.git
 Vcs-Browser: https://salsa.debian.org/webext-team/browserpass

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,9 @@
 	dh $@ --buildsystem=golang --with=golang
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- -buildmode=pie -ldflags "$(GO_LDFLAGS)"
 	(cd browserpass-extension; make firefox chromium)
+	#dh_auto_build -O--buildsystem=golang -- -buildmode=pie -ldflags "$(GO_LDFLAGS)"
+	dh_auto_build -O--buildsystem=golang -- -ldflags "$(GO_LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
